Subject: RE: info: dir: No such file or directory
From: "Kevin Wright" <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 23 Apr 1999 12:12:03 -0700

Mumit,

FYI, I fought info for a long time before I got it to work. Here is
what I found out for my cygwin installation:

to create a dir file, use gen-dir-node (in the texinfo distribution)
1. cd /usr/local/info
2. gen-dir-node /usr/local/info > dir
3. If you are using textmounts, the dir file will have ^Ms
   and you will get an error:

    info: Cannot find the node "Top".

To fix this, use a program such as trans to convert the file to a unix file:

   trans -l dir

All info files will also have to be converted to unix files or info
won't read them properly.

Unfortunately, I don't remember where I got trans.exe from. There
should also be a dos2unix program around somewhere.

Hope I could shed some light on the subject.

Kevin Wright

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Mumit Khan
> Sent: Friday, April 23, 1999 6:29 AM
> To: R. Hickling
> Cc: [email-masked]
> Subject: Re: info: dir: No such file or directory
>
>
> On Fri, 23 Apr 1999, R. Hickling wrote:
>
> > When I type 'info <anything>' I just get
> >
> > info: dir: No such file or directory
> >
> > Do I need an environment variable or something?
> >
>
> Info needs a directory to look up the various info pages
> installed and to
> give you a choice. I'm attaching a info dir file which you can put in
> one of the standard places where info searches for dir (or
> use INFOPATH
> environment variable or use ``--directory <DIR>'' argument):
>
>   /usr/local/info
>   /usr/info
>   /usr/local/lib/info
>   /usr/lib/info
>   /usr/local/gnu/info
>   /usr/local/gnu/lib/info
>   /usr/gnu/info
>   /usr/gnu/lib/info
>   /opt/gnu/info
>   /usr/share/info
>   /usr/share/lib/info
>   /usr/local/share/info
>   /usr/local/share/lib/info
>   /usr/gnu/lib/emacs/info
>   /usr/local/gnu/lib/emacs/info
>   /usr/local/lib/emacs/info
>   /usr/local/emacs/info
>   .
>
> You'll need to uncompress the dir.gz before putting it in one of the
> above directories (gunzip -v dir.gz).
>
http://www.delorie.com/ for on-line docs of GNU programs such as info.

Regards,
Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]